KDE 4.9 PyKDE API Reference

- KDE's Python API

# BillboardGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.MarbleGraphicsItem
Namespace: Marble

## Detailed Description

Base class for all 2D labels (a.k.a. billboards) in 3D space.

A BillboardGraphicsItem represents a point of interest on a planet with a geo location. As a result, it may appear more than once on the map, depending on the projection and the zoom level.

## Methods
| __init__ (self)
[QRectF] | boundingRects (self)
Marble.GeoDataCoordinates | coordinate (self)
[QPointF] | positions (self)
| setCoordinate (self, Marble.GeoDataCoordinates coordinates)

## Method Documentation

__init__ | ( |  | self ) |

[QRectF] boundingRects | ( |  | self ) |

Returns the absolute screen bounding boxes of the item.

Marble.GeoDataCoordinates coordinate | ( |  | self ) |

[QPointF] positions | ( |  | self ) |

Returns the absolute screen positions of the item.

All elements indicate the position of the topleft corner in screen coordinates and are based on the viewport of the last paintEvent(). Note that the result list may contain an unbound number of elements, including zero, depending on the item's visibility, the projection and zoom level.

setCoordinate | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |